#
# spec file for package perl-Pod-Weaver-Section-Availability
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Pod-Weaver-Section-Availability
Version:        1.20
Release:        1.1
%define cpan_name Pod-Weaver-Section-Availability
Summary:        Add an AVAILABILITY pod section
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Pod-Weaver-Section-Availability/
Source0:        http://www.cpan.org/authors/id/D/DO/DOHERTY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla::Plugin::Bugtracker)
BuildRequires:  perl(Dist::Zilla::Plugin::Homepage)
BuildRequires:  perl(Module::Build) >= 0.360100
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Autobox)
BuildRequires:  perl(Pod::Weaver::Role::Section)
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Dist::Zilla::Plugin::Bugtracker)
Requires:       perl(Dist::Zilla::Plugin::Homepage)
Requires:       perl(Moose)
Requires:       perl(Moose::Autobox)
Requires:       perl(Pod::Weaver::Role::Section)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
This section plugin will produce a hunk of Pod that refers the user to the
distribution's homepage and development versions.

You need to use the Dist::Zilla::Plugin::Bugtracker manpage and the
Dist::Zilla::Plugin::Homepage manpage in your 'dist.ini' file, because this
plugin relies on information those other plugins generate.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.20
  see /usr/share/doc/packages/perl-Pod-Weaver-Section-Availability/Changes
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.110091
  * created by cpanspec 1.78.03
